directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From elecha...@apache.org
Subject svn commit: r1687816 - /directory/apacheds/trunk/installers-maven-plugin/src/main/resources/org/apache/directory/server/installers/archive/apacheds.sh
Date Fri, 26 Jun 2015 17:20:28 GMT
Author: elecharny
Date: Fri Jun 26 17:20:28 2015
New Revision: 1687816

URL: http://svn.apache.org/r1687816
Log:
applied fix for DIRSERVER-2075

Modified:
    directory/apacheds/trunk/installers-maven-plugin/src/main/resources/org/apache/directory/server/installers/archive/apacheds.sh

Modified: directory/apacheds/trunk/installers-maven-plugin/src/main/resources/org/apache/directory/server/installers/archive/apacheds.sh
URL: http://svn.apache.org/viewvc/directory/apacheds/trunk/installers-maven-plugin/src/main/resources/org/apache/directory/server/installers/archive/apacheds.sh?rev=1687816&r1=1687815&r2=1687816&view=diff
==============================================================================
--- directory/apacheds/trunk/installers-maven-plugin/src/main/resources/org/apache/directory/server/installers/archive/apacheds.sh
(original)
+++ directory/apacheds/trunk/installers-maven-plugin/src/main/resources/org/apache/directory/server/installers/archive/apacheds.sh
Fri Jun 26 17:20:28 2015
@@ -178,9 +178,9 @@ elif [ "$ADS_ACTION" = "stop" ]; then
         kill -15 $PID > /dev/null 2>&1
 
         ATTEMPTS_REMAINING=10
-        while [ $ATTEMPTS_REMAINING > 0 ]; do
+        while [ $ATTEMPTS_REMAINING -gt 0 ]; do
             kill -0 $PID > /dev/null 2>&1 -gt 0
-            if [ $? > 0 ]; then
+            if [ $? -gt 0 ]; then
                 rm -f $ADS_PID > /dev/null 2>&1
                 [ $HAVE_TTY -eq 1 ] && echo "ApacheDS instance '$ADS_INSTANCE_NAME'
stopped successfully"
                 break



Mime
View raw message